---
title: "Historical contract: Update Offer"
description: "Historical Ordering.co API contract for POST /offers/{offer_id} (Update Offer), kept for reference. Use the current API reference for new integrations."
canonical: https://docs.ordering.co/api-reference/guides/history/update-offer-1/
---

# Historical contract: Update Offer

[]()

> **Historical API contract.** This page describes an earlier API contract. Methods, paths, and responses may differ from the current API.

## Historical meaning

Update Offer

## Current API

For new integrations, use the linked current API reference or guide.

[View the current API reference](https://docs.ordering.co/api-reference/#tag/offers/POST/offers/%7Boffer_id%7D)

## Parameters

```json
[
  {
    "name": "api_version",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "v400"
    },
    "required": true
  },
  {
    "name": "language",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "en"
    },
    "required": true
  },
  {
    "name": "project",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "<redacted-personal>"
    },
    "required": true
  },
  {
    "name": "offer_id",
    "in": "path",
    "schema": {
      "type": "integer",
      "format": "int32"
    },
    "required": true
  }
]
```

## Request body

```json
{
  "content": {
    "application/json": {
      "schema": {
        "type": "object",
        "required": [
          "discount_type",
          "target",
          "stackable",
          "auto",
          "public"
        ],
        "properties": {
          "description": {
            "type": "string"
          },
          "label": {
            "type": "string"
          },
          "rank": {
            "type": "integer",
            "format": "int32"
          },
          "max_discount": {
            "type": "integer",
            "format": "int32"
          },
          "discount_type": {
            "type": "integer",
            "default": null,
            "format": "int32"
          },
          "target": {
            "type": "integer",
            "default": null,
            "format": "int32"
          },
          "stackable": {
            "type": "boolean"
          },
          "auto": {
            "type": "boolean"
          },
          "public": {
            "type": "boolean"
          },
          "order_priority": {
            "type": "integer",
            "format": "int32"
          },
          "limit_per_user": {
            "type": "integer",
            "format": "int32"
          },
          "user_order_count": {
            "type": "integer",
            "format": "int32"
          },
          "user_order_count_condition": {
            "type": "string",
            "default": "<redacted-personal>"
          },
          "valid_form_after_user_last_order_minutes": {
            "type": "integer",
            "format": "int32"
          },
          "valid_until_after_user_last_order_minutes": {
            "type": "integer",
            "format": "int32"
          },
          "products": {
            "properties": {
              "*": {
                "properties": {
                  "id": {
                    "type": "integer",
                    "format": "int32"
                  },
                  "is_condition": {
                    "type": "boolean"
                  }
                },
                "required": [
                  "id",
                  "is_condition"
                ],
                "type": "object"
              }
            },
            "required": [],
            "type": "object"
          },
          "categories": {
            "properties": {
              "*": {
                "properties": {
                  "id": {
                    "type": "integer",
                    "format": "int32"
                  },
                  "is_condition": {
                    "type": "boolean"
                  }
                },
                "required": [
                  "id",
                  "is_condition"
                ],
                "type": "object"
              }
            },
            "required": [],
            "type": "object"
          },
          "users": {
            "properties": {
              "*": {
                "type": "integer",
                "format": "int32"
              }
            },
            "required": [],
            "type": "object"
          },
          "sites": {
            "type": "integer",
            "format": "int32"
          },
          "delivery_zones": {
            "properties": {
              "*": {
                "type": "integer",
                "format": "int32"
              }
            },
            "required": [],
            "type": "object"
          },
          "paymethods": {
            "properties": {
              "*": {
                "type": "integer",
                "format": "int32"
              }
            },
            "required": [],
            "type": "object"
          },
          "order_types_allowed": {
            "properties": {
              "*": {
                "type": "integer",
                "format": "int32"
              }
            },
            "required": [],
            "type": "object"
          }
        }
      }
    }
  }
}
```

## Responses

```json
{
  "200": {
    "description": "200",
    "content": {
      "application/json": {
        "examples": {
          "Result": {
            "value": "{}"
          }
        },
        "schema": {
          "type": "object",
          "properties": {}
        }
      }
    }
  },
  "400": {
    "description": "400",
    "content": {
      "application/json": {
        "examples": {
          "Result": {
            "value": "{}"
          }
        },
        "schema": {
          "type": "object",
          "properties": {}
        }
      }
    }
  }
}
```
